Bug 1412063 - bogus 'there are no portable drives found' when USB stick is inserted
Summary: bogus 'there are no portable drives found' when USB stick is inserted
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mediawriter
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Martin Bříza
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-11 06:25 UTC by Chris Murphy
Modified: 2017-01-15 07:51 UTC (History)
1 user (show)

Fixed In Version: mediawriter-4.0.8-0.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-15 07:51:27 UTC
Type: Bug


Attachments (Terms of Use)
screenshot (718.33 KB, image/png)
2017-01-11 06:25 UTC, Chris Murphy
no flags Details
journal snippets (2.90 KB, text/plain)
2017-01-11 06:26 UTC, Chris Murphy
no flags Details

Description Chris Murphy 2017-01-11 06:25:32 UTC
Created attachment 1239327 [details]
screenshot

Description of problem:

Whether inserted before or after mediawriter launch; whether partitioned and FAT formatted, or wipefs -a has been used, mediawriter does not recognize this Lexar USB stick for unknown reasons. No error messages.


Version-Release number of selected component (if applicable):
mediawriter-4.0.7-0.fc25.x86_64

How reproducible:
Always


Steps to Reproduce:
1. Launch mediawriter
2. Choose an image to write
3. Insert 2GiB Lexar USB stick

Actual results:

Kernel sees the stick, but mediawriter denies seeing any devices.


Expected results:

The image is 1.5GiB, the stick is 2GiB, it should be possible to write to this stick.


Additional info:

Comment 1 Chris Murphy 2017-01-11 06:26:29 UTC
Created attachment 1239328 [details]
journal snippets

Comment 2 Fedora Update System 2017-01-13 09:10:59 UTC
mediawriter-4.0.8-0.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-f4b2752eaf

Comment 3 Fedora Update System 2017-01-15 07:51:27 UTC
mediawriter-4.0.8-0.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.